Bug 1119741 - Downstream patches regression on tegra (paz00)
Summary: Downstream patches regression on tegra (paz00)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:10 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-09-19 23:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 23:38:24 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2014-07-15 12:10:58 UTC
Description of problem:
With current uboot-tools-2014.04-6.fc21 in rawhide I cannot boot using the produced paz00 build target.

Version-Release number of selected component (if applicable):
uboot-tools-2014.04-6.fc21

How reproducible:
always

Steps to Reproduce:
From host:
1. tegrarcm --bct paz00_bct.img --bootloader u-boot-dtb-tegra.bin --loadaddr=0x00108000


Actual results:
black screen (no more info, paz00 doens't has serial easily accessible)
I will try to reproduce on trimslice with serial.

Expected results:
It should run fedora boot.scr or open prompt for uboot cmdline.

Additional info:
upstream uboot-2014.04 is working fine.

I will provide more informations about the patches I've disabled from the uboot fedora package later (I've kept fedora generic distro patches). But I have a problem to work on a problem that was introduced by downstream patches or device specific patches I don't own.

Instead I would suggest that hardware specific patches could be applied into an alternate source directory instead of generic source tree for all devices.

I can work on implementing that after the uboot-tools rebase.

Comment 1 Peter Robinson 2014-07-15 13:54:00 UTC
kwizart: As requested numerous times please add ARM blockers to the appropriate tracker ticket

Comment 2 Nicolas Chauvet (kwizart) 2014-07-18 15:13:34 UTC
I'm still testing (so close to every distro patches are disabled in the git repo) but using only some limited patches (that attempt to use the generic distro concept) worked:
http://fedorapeople.org/cgit/kwizart/public_git/uboot-tools.git/commit/?id=2266cdda1c0da96cac6204188cfd00f781bb8310

So it means something in the disabled "device specifics" or HYP patches affected the tegra platform (and maybe others).

Comment 3 Nicolas Chauvet (kwizart) 2014-08-03 16:32:30 UTC
Unfortunately I broke my trimslice serial cable before to do the test.
Before that, I can confirm that vanilla uboot version 2014.07 and current git both operate correctly. the current package based on 2014.04 with OOT patches does not operate correctly on trimslice and paz00.

This was tested putting trimslice in recovery mode and using:
tegrarcm --bct trimslice-mmc.bct --bootloader u-boot-dtb-tegra.bin  --loadaddr=0x108000


The remaining test candidate is jetson-tk1 which works correctly in vanilla uboot git despite I still cannot boot:

Tegra124 (Jetson TK1) # run bootcmd
switch to partitions #0, OK
mmc1 is current device
Scanning mmc 1...
Found /extlinux/extlinux.conf
Retrieving file: /extlinux/extlinux.conf
1130 bytes read in 48 ms (22.5 KiB/s)
Ignoring unknown command: ui
Ignoring malformed menu command:  autoboot
Ignoring malformed menu command:  hidden
Ignoring unknown command: totaltimeout
Ignoring unknown command: default=Fedora
Fedora-Minimal-armhfp-21-20140724 Boot Options.
1:      Fedora (3.16.0-0.rc7.git3.1.fc21.armv7hl) 21 (Twenty One)
Enter choice: 1:        Fedora (3.16.0-0.rc7.git3.1.fc21.armv7hl) 21 (Twenty One)
Retrieving file: /initramfs-3.16.0-0.rc7.git3.1.fc21.armv7hl.img
12227903 bytes read in 642 ms (18.2 MiB/s)
Retrieving file: /vmlinuz-3.16.0-0.rc7.git3.1.fc21.armv7hl
5934800 bytes read in 502 ms (11.3 MiB/s)
append: ro root=UUID=95cb244d-889f-4ac8-bd8c-e8f8612f10bc LANG=en_US.UTF-8
Retrieving file: /dtb/tegra124-jetson-tk1.dtb
42784 bytes read in 721 ms (57.6 KiB/s)
Wrong Image Format for sysboot command
ERROR: can't get kernel image!
Kernel image @ 0x81000000 [ 0x000000 - 0x5a8ed0 ]
## Flattened Device Tree blob at 82000000
   Booting using the fdt blob at 0x82000000
   Using Device Tree in place at 82000000, end 8200d71f

Starting kernel ...
--------------------


fdtdir is still not updated across kernel updates
But that's issues not related to uboot itself...

Comment 4 Peter Robinson 2014-09-19 23:38:24 UTC
Now the distro support patchset is upstream for Tegra in 2014.10rc1 we don't use any downstream patches. If there's still a problem is should be reported upstream.


Note You need to log in before you can comment on or make changes to this bug.